Subject: Re: [PATCH v3] git-completion.bash: add support for path completion

From: Manlio Perillo <[email-masked]>
Date: Tue, 18 Dec 2012 21:29:50 +0100

Il 18/12/2012 20:22, Junio C Hamano ha scritto:
> [...]
>> Note that the performance is the reason why I suggested, in a previous
>> email, that git should have some more options to format data in custom ways.
>> As an example, there is no way to tell ls-files to not recurse
>> directories, and there is no way to also get the file type.
> 
> To ls-files, no-recurse is an idiotic thing to ask.  The index is a
> flat structure that is read as a whole.  There is no recursion
> involved.

What about an option like --as-tree, so that ls-files will list the
files as they were in a tree, instead of a flat structure ?

Thanks  Manlio